div {
  width: 100px;
  height: 100px;
  color: white;
  margin: 15px;
  background: aqua;
  transition: all 1s;
}

div:hover {
  transform: translateX(100px);
}

.ease {
  transition-timing-function: ease;
}

.linear {
  transition-timing-function: linear;
}

.ease-in {
  transition-timing-function: ease-in;
}

.ease-out {
  transition-timing-function: ease-out;
}

.ease-in-out {
  transition-timing-function: ease-in-out;
}
